Bug 104820 - ntpd initscript mangles firewall
ntpd initscript mangles firewall
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ntp (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 12:16 EDT by Curtis Doty
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-08 07:55:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2003-09-22 12:16:39 EDT
Description of problem:
During startup, the sed cruft that creates the list of timeservers does not 
properly parse a valid ntp.conf.

How reproducible:
use the full server syntax in ntp.conf:
server 10.10.10.10      minpoll 7       maxpoll 12

This is untested, but all that sed madness could probably be replaced with 
something a bit more simple and direct like this:

awk '/[[:blank:]]+127\./{next}/^[[:blank:]]*(server|peer)[[:blank:]]+/{print 
$2}' ntp.conf

Also, upon review, it looks to me like you have another bug. You don't allow 
any host with 127 followed by any character in its name.

Note You need to log in before you can comment on or make changes to this bug.